diff -Nurd xffm-4.2.3/configure xffm-4.2.3-new/configure
--- xffm-4.2.3/configure	2005-11-05 13:13:20.000000000 -0500
+++ xffm-4.2.3-new/configure	2008-04-30 12:11:42.000000000 -0400
@@ -2000,7 +2000,7 @@
 PACKAGE_NAME="xffm"
 PACKAGE_STRING="Copyright Edscott Wilson Garcia, GPL 2002-2004"
 PACKAGE_VERSION=""
-enable_static=no
+enable_static=yes
 
 DEPDIR="${am__leading_dot}deps"
 
@@ -3922,11 +3922,11 @@
 
 
 if test "x$uname_has_cygwin" != "x"; then
-  HAVE_CYGWIN_TRUE=
-  HAVE_CYGWIN_FALSE='#'
-else
   HAVE_CYGWIN_TRUE='#'
   HAVE_CYGWIN_FALSE=
+else
+  HAVE_CYGWIN_TRUE=
+  HAVE_CYGWIN_FALSE='#'
 fi
 
 
@@ -25061,14 +25061,14 @@
   fi
 ##********************************************************************
 # Check whether --enable-smbbranch or --disable-smbbranch was given.
-if test "${enable_smbbranch+set}" = set; then
+if test "${enable-smbbranch+set}" = set; then
   enableval="$enable_smbbranch"
 
 fi;
   echo "$as_me:$LINENO: checking whether to enable samba branch" >&5
 echo $ECHO_N "checking whether to enable samba branch... $ECHO_C" >&6
   uname_has_cygwin=`uname | grep CYGWIN`
-  if test "${enable_smbbranch+no}" = no -o "x${uname_has_cygwin}" != x; then
+  if test "${enable-smbbranch+no}" = no -o "x${uname_has_cygwin}" != x; then
     smbbranch=no
     echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
@@ -25108,13 +25108,13 @@
   fi
 #********************************************************************
 # Check whether --enable-menu or --disable-menu was given.
-if test "${enable_menu+set}" = set; then
-  enableval="$enable_menu"
+if test "${enable-menu+set}" = set; then
+  enableval="$enable-menu"
 
 fi;
   echo "$as_me:$LINENO: checking whether to include a visible main menu (EXTRA FEATURE)" >&5
 echo $ECHO_N "checking whether to include a visible main menu (EXTRA FEATURE)... $ECHO_C" >&6
-  if test "${enable_menu+no}" = no; then
+  if test "${enable-menu+no}" = no; then
     menu=no
     echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6
diff -Nurd xffm-4.2.3/fgr/Makefile.in xffm-4.2.3-new/fgr/Makefile.in
--- xffm-4.2.3/fgr/Makefile.in	2005-11-06 05:40:34.000000000 -0500
+++ xffm-4.2.3-new/fgr/Makefile.in	2011-07-31 03:07:20.000000000 -0400
@@ -250,7 +250,7 @@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 INCLUDES = \
-	-I$(top_Srcdir)/libs
+	-I$(top_srcdir)/libs
 
 fgr_SOURCES = \
 	glob.c  							\
diff -Nurd xffm-4.2.3/libs/Makefile.in xffm-4.2.3-new/libs/Makefile.in
--- xffm-4.2.3/libs/Makefile.in	2005-11-06 05:40:35.000000000 -0500
+++ xffm-4.2.3-new/libs/Makefile.in	2008-04-30 11:47:06.000000000 -0400
@@ -36,13 +36,13 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = $(CYG_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_2 = $(CYG_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_3 = $(CYG_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_4 = $(CYG_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_5 = $(CYG_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_6 = $(CYG_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_7 = $(CYG_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_1 = $(CYG_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_2 = $(CYG_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_3 = $(CYG_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_4 = $(CYG_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_5 = $(CYG_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_6 = $(CYG_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_7 = $(CYG_LDFLAGS)
 subdir = libs
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -62,8 +62,8 @@
 libLTLIBRARIES_INSTALL = $(INSTALL)
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
-@HAVE_CYGWIN_TRUE@libxffm_actions_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_actions_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_actions_la_OBJECTS = libxffm_actions_la-new.lo \
 	libxffm_actions_la-new_win.lo libxffm_actions_la-print.lo \
 	libxffm_actions_la-rename.lo libxffm_actions_la-run.lo \
@@ -71,8 +71,8 @@
 	libxffm_actions_la-terminal.lo libxffm_actions_la-touch.lo \
 	libxffm_actions_la-xfdiff.lo
 libxffm_actions_la_OBJECTS = $(am_libxffm_actions_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_basic_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_basic_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_basic_la_OBJECTS = libxffm_basic_la-easy.lo \
 	libxffm_basic_la-basic_row.lo libxffm_basic_la-entry.lo \
 	libxffm_basic_la-icons.lo libxffm_basic_la-misc.lo \
@@ -80,33 +80,33 @@
 	libxffm_basic_la-ls.lo libxffm_basic_la-callbacks.lo \
 	libxffm_basic_la-widgets.lo
 libxffm_basic_la_OBJECTS = $(am_libxffm_basic_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_calls_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_calls_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_calls_la_OBJECTS = libxffm_calls_la-dnd.lo \
 	libxffm_calls_la-input.lo libxffm_calls_la-menu.lo \
 	libxffm_calls_la-menu_callbacks.lo \
 	libxffm_calls_la-pasteboard.lo libxffm_calls_la-refresh.lo \
 	libxffm_calls_la-goto.lo libxffm_calls_la-zoom.lo
 libxffm_calls_la_OBJECTS = $(am_libxffm_calls_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_cpy_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_cpy_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
 am_libxffm_cpy_la_OBJECTS = libxffm_cpy_la-rcp.lo \
 	libxffm_cpy_la-cpy.lo libxffm_cpy_la-countfiles.lo \
 	libxffm_cpy_la-duplicate.lo libxffm_cpy_la-remove.lo \
 	libxffm_cpy_la-glade_remove_gui.lo
 libxffm_cpy_la_OBJECTS = $(am_libxffm_cpy_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_on_demand_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_on_demand_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_on_demand_la_OBJECTS =  \
 	libxffm_on_demand_la-password_dialog.lo
 libxffm_on_demand_la_OBJECTS = $(am_libxffm_on_demand_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_secondary_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_secondary_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_secondary_la_OBJECTS =  \
 	libxffm_secondary_la-glade_support.lo \
 	libxffm_secondary_la-modules.lo libxffm_secondary_la-uri.lo
 libxffm_secondary_la_OBJECTS = $(am_libxffm_secondary_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_tubo_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_tubo_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_tubo_la_OBJECTS = libxffm_tubo_la-tubo.lo
 libxffm_tubo_la_OBJECTS = $(am_libxffm_tubo_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
@@ -405,25 +405,25 @@
 	@LIBXFFM_VERINFO@ $(am__append_6)
 libxffm_tubo_la_LDFLAGS = -export-dynamic -version-info \
 	@LIBXFFM_VERINFO@ $(am__append_7)
-@HAVE_CYGWIN_TRUE@CYG_LDFLAGS = \
-@HAVE_CYGWIN_TRUE@	-avoid-version							\
-@HAVE_CYGWIN_TRUE@	-no-undefined							\
-@HAVE_CYGWIN_TRUE@	-export-symbols $(top_srcdir)/utils/IMPORTS			\
-@HAVE_CYGWIN_TRUE@	@LIBX11_LDFLAGS@
+@HAVE_CYGWIN_FALSE@CYG_LDFLAGS = \
+@HAVE_CYGWIN_FALSE@	-avoid-version							\
+@HAVE_CYGWIN_FALSE@	-no-undefined							\
+@HAVE_CYGWIN_FALSE@	-export-symbols $(top_srcdir)/utils/IMPORTS			\
+@HAVE_CYGWIN_FALSE@	@LIBX11_LDFLAGS@
 
-@HAVE_CYGWIN_TRUE@CYG_LIBADD = \
-@HAVE_CYGWIN_TRUE@	@LIBXFCEGUI4_LIBS@						\
-@HAVE_CYGWIN_TRUE@	@GTK_LIBS@							\
-@HAVE_CYGWIN_TRUE@	@LIBX11_LIBS@							\
-@HAVE_CYGWIN_TRUE@	@DBH_LIBS@
+@HAVE_CYGWIN_FALSE@CYG_LIBADD = \
+@HAVE_CYGWIN_FALSE@	@LIBXFCEGUI4_LIBS@						\
+@HAVE_CYGWIN_FALSE@	@GTK_LIBS@							\
+@HAVE_CYGWIN_FALSE@	@LIBX11_LIBS@							\
+@HAVE_CYGWIN_FALSE@	@DBH_LIBS@
 
-@HAVE_CYGWIN_TRUE@libxffm_on_demand_la_LIBADD = $(CYG_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_secondary_la_LIBADD = $(CYG_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_basic_la_LIBADD = $(CYG_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_cpy_la_LIBADD = $(CYG_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_actions_la_LIBADD = $(CYG_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_calls_la_LIBADD = $(CYG_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_tubo_la_LIBADD = $(CYG_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_on_demand_la_LIBADD = $(CYG_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_secondary_la_LIBADD = $(CYG_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_basic_la_LIBADD = $(CYG_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_cpy_la_LIBADD = $(CYG_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_actions_la_LIBADD = $(CYG_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_calls_la_LIBADD = $(CYG_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_tubo_la_LIBADD = $(CYG_LIBADD)
 common_FLAGS = \
 	@GLIB_CFLAGS@							\
 	@GTK_CFLAGS@							\
diff -Nurd xffm-4.2.3/libs/uri.h xffm-4.2.3-new/libs/uri.h
--- xffm-4.2.3/libs/uri.h	2005-11-05 12:13:43.000000000 -0500
+++ xffm-4.2.3-new/libs/uri.h	2008-04-30 11:47:06.000000000 -0400
@@ -30,7 +30,7 @@
 
 #define URI_MAX 1024
 
-enum
+enum UriType
 {
     URI_LOCAL,
     URI_FILE,
@@ -38,8 +38,7 @@
     URI_FTP,
     URI_TAR,
     URI_SMB
-}
-UriType;
+};
 
 typedef struct
 {
diff -Nurd xffm-4.2.3/modules/Makefile.in xffm-4.2.3-new/modules/Makefile.in
--- xffm-4.2.3/modules/Makefile.in	2005-11-06 05:40:35.000000000 -0500
+++ xffm-4.2.3-new/modules/Makefile.in	2008-04-30 11:47:06.000000000 -0400
@@ -36,12 +36,12 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = $(cygwin_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_2 = $(cygwin_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_3 = $(cygwin_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_4 = $(cygwin_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_5 = $(cygwin_LDFLAGS)
-@HAVE_CYGWIN_TRUE@am__append_6 = $(cygwin_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_1 = $(cygwin_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_2 = $(cygwin_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_3 = $(cygwin_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_4 = $(cygwin_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_5 = $(cygwin_LDFLAGS)
+@HAVE_CYGWIN_FALSE@am__append_6 = $(cygwin_LDFLAGS)
 subdir = modules
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -61,29 +61,29 @@
 pluginLTLIBRARIES_INSTALL = $(INSTALL)
 LTLIBRARIES = $(plugin_LTLIBRARIES)
 am__DEPENDENCIES_1 =
-@HAVE_CYGWIN_TRUE@libxffm_book_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_book_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_book_la_OBJECTS = libxffm_book_la-bookmarks.lo
 libxffm_book_la_OBJECTS = $(am_libxffm_book_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_find_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_find_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_find_la_OBJECTS = libxffm_find_la-glade_find_gui.lo \
 	libxffm_find_la-string_option_menu.lo libxffm_find_la-find.lo
 libxffm_find_la_OBJECTS = $(am_libxffm_find_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_fstab_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_fstab_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_fstab_la_OBJECTS = libxffm_fstab_la-fstab-module.lo
 libxffm_fstab_la_OBJECTS = $(am_libxffm_fstab_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_prop_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_prop_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_prop_la_OBJECTS = libxffm_prop_la-properties.lo
 libxffm_prop_la_OBJECTS = $(am_libxffm_prop_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_recent_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_recent_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_recent_la_OBJECTS = libxffm_recent_la-recent.lo
 libxffm_recent_la_OBJECTS = $(am_libxffm_recent_la_OBJECTS)
-@HAVE_CYGWIN_TRUE@libxffm_trash_la_DEPENDENCIES =  \
-@HAVE_CYGWIN_TRUE@	$(am__DEPENDENCIES_1)
+@HAVE_CYGWIN_FALSE@libxffm_trash_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_FALSE@	$(am__DEPENDENCIES_1)
 am_libxffm_trash_la_OBJECTS = libxffm_trash_la-trash.lo
 libxffm_trash_la_OBJECTS = $(am_libxffm_trash_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
@@ -96,7 +96,7 @@
 	$(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
+	$(AM_LDFLAGS) $(LDFLAGS) -module -o $@
 SOURCES = $(libxffm_book_la_SOURCES) $(libxffm_find_la_SOURCES) \
 	$(libxffm_fstab_la_SOURCES) $(libxffm_prop_la_SOURCES) \
 	$(libxffm_recent_la_SOURCES) $(libxffm_trash_la_SOURCES)
@@ -322,23 +322,23 @@
 	@LIBXFFM_VERINFO@ $(am__append_5)
 libxffm_find_la_LDFLAGS = -export-dynamic -version-info \
 	@LIBXFFM_VERINFO@ $(am__append_6)
-@HAVE_CYGWIN_TRUE@cygwin_LDFLAGS = \
-@HAVE_CYGWIN_TRUE@	-no-undefined							\
-@HAVE_CYGWIN_TRUE@	-module								\
-@HAVE_CYGWIN_TRUE@	-avoid-version							\
-@HAVE_CYGWIN_TRUE@	-export-symbols $(top_srcdir)/utils/IMPORTS
+@HAVE_CYGWIN_FALSE@cygwin_LDFLAGS = \
+@HAVE_CYGWIN_FALSE@	-no-undefined							\
+@HAVE_CYGWIN_FALSE@	-module								\
+@HAVE_CYGWIN_FALSE@	-avoid-version							\
+@HAVE_CYGWIN_FALSE@	-export-symbols $(top_srcdir)/utils/IMPORTS
 
-@HAVE_CYGWIN_TRUE@cygwin_LIBADD = \
-@HAVE_CYGWIN_TRUE@	@LIBXFCE4UTIL_LIBS@						\
-@HAVE_CYGWIN_TRUE@	@GTK_LIBS@							\
-@HAVE_CYGWIN_TRUE@	@GLIB_LIBS@
+@HAVE_CYGWIN_FALSE@cygwin_LIBADD = \
+@HAVE_CYGWIN_FALSE@	@LIBXFCE4UTIL_LIBS@						\
+@HAVE_CYGWIN_FALSE@	@GTK_LIBS@							\
+@HAVE_CYGWIN_FALSE@	@GLIB_LIBS@
 
-@HAVE_CYGWIN_TRUE@libxffm_book_la_LIBADD = $(cygwin_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_trash_la_LIBADD = $(cygwin_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_recent_la_LIBADD = $(cygwin_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_fstab_la_LIBADD = $(cygwin_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_prop_la_LIBADD = $(cygwin_LIBADD)
-@HAVE_CYGWIN_TRUE@libxffm_find_la_LIBADD = $(cygwin_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_book_la_LIBADD = $(cygwin_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_trash_la_LIBADD = $(cygwin_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_recent_la_LIBADD = $(cygwin_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_fstab_la_LIBADD = $(cygwin_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_prop_la_LIBADD = $(cygwin_LIBADD)
+@HAVE_CYGWIN_FALSE@libxffm_find_la_LIBADD = $(cygwin_LIBADD)
 common_FLAGS = \
 	@GLIB_CFLAGS@							\
 	@GTK_CFLAGS@							\
diff -Nurd xffm-4.2.3/plugin-mcs/Makefile.in xffm-4.2.3-new/plugin-mcs/Makefile.in
--- xffm-4.2.3/plugin-mcs/Makefile.in	2005-11-06 05:40:36.000000000 -0500
+++ xffm-4.2.3-new/plugin-mcs/Makefile.in	2008-04-30 11:47:06.000000000 -0400
@@ -40,10 +40,10 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = \
-@HAVE_CYGWIN_TRUE@	-no-undefined							\
-@HAVE_CYGWIN_TRUE@	-export-symbols $(datadir)/xfce4/devel/mcs-manager.def		\
-@HAVE_CYGWIN_TRUE@	@XFCE_MCS_MANAGER_LDFLAGS@
+@HAVE_CYGWIN_FALSE@am__append_1 = \
+@HAVE_CYGWIN_FALSE@	-no-undefined							\
+@HAVE_CYGWIN_FALSE@	-export-symbols $(datadir)/xfce4/devel/mcs-manager.def		\
+@HAVE_CYGWIN_FALSE@	@XFCE_MCS_MANAGER_LDFLAGS@
 
 subdir = plugin-mcs
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
diff -Nurd xffm-4.2.3/smb/Makefile.in xffm-4.2.3-new/smb/Makefile.in
--- xffm-4.2.3/smb/Makefile.in	2005-11-06 05:40:37.000000000 -0500
+++ xffm-4.2.3-new/smb/Makefile.in	2008-04-30 11:47:06.000000000 -0400
@@ -39,9 +39,9 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = \
-@HAVE_CYGWIN_TRUE@	-no-undefined							\
-@HAVE_CYGWIN_TRUE@	-avoid-version
+@HAVE_CYGWIN_FALSE@am__append_1 = \
+@HAVE_CYGWIN_FALSE@	-no-undefined							\
+@HAVE_CYGWIN_FALSE@	-avoid-version
 
 subdir = smb
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -77,7 +77,7 @@
 	$(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
+	$(AM_LDFLAGS) $(LDFLAGS) -module -o $@
 SOURCES = $(libxffm_smb_la_SOURCES)
 DIST_SOURCES = $(libxffm_smb_la_SOURCES)
 ETAGS = etags
diff -Nurd xffm-4.2.3/src/Makefile.in xffm-4.2.3-new/src/Makefile.in
--- xffm-4.2.3/src/Makefile.in	2005-11-06 05:40:37.000000000 -0500
+++ xffm-4.2.3-new/src/Makefile.in	2011-07-31 02:48:12.000000000 -0400
@@ -320,7 +320,7 @@
 	$(top_builddir)/libs/libxffm_tubo.la @LIBXFCEGUI4_LIBS@ \
 	@LIBXFCE4UTIL_LIBS@ @LIBXFCE4MCS_CLIENT_LIBS@ @DBH_LIBS@ \
 	@GLIB_LIBS@ @GTHREAD_LIBS@ @GTK_LIBS@ @LIBXML_LIBS@ \
-	$(am__empty)
+	@LIBX11_LIBS@ $(am__empty)
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = xffm-1.0.pc
 appsdir = $(datadir)/applications
